<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
use_helper('UtilFunctions');

$o_ArArqueoCabeceraFN = new ArArqueoCabeceraFN();  

//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
//$o_ObjectBean->setIdMercado($cboMercado); 

//FILTRO MERCADO------------------------------------------------------------------------
//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------
if(myUser::getUser()->getIdPadre() || myUser::getUser()->getRoleId() == "sys.ope"){
	if( myUser::getUser()->getRoleId() == "sys.ope"){
		$o_ArArqueoCabeceraFN->setIdColaborador(myUser::getUser()->getIdColaborador());
	}
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 
 
 
 if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	$o_SucursalMercadoBean = new SucursalMercadoBean();
	if(is_object($a_o_sucursal[0])){
		$o_SucursalMercadoBean->setIdSucursal($a_o_sucursal[0]->getIdSucursal());
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
	}else{
		$a_IdMercados[] = '0';
	}
	//$o_ObjectBean->setFiltroMercado($a_IdMercados);
	 
	//FILTRO IDCOLABORADOR--------------------------------------------------------------------
	//Obtener todos los Id de colaborador de ese IdAdministrador
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	//$o_ObjectBean->setFiltroSucursal($a_Colaborador);	
		
	//Sacar el nombre de la sucursal
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key => $o_sucursal){
			$IdSucursal 	= $o_sucursal->getIdSucursal();
			$NombreSucursal = $o_sucursal->getDescripcion();
		}
	}else{
		$IdSucursal = '0';
		$NombreSucursal = false;
	}
 }
 
//----------------------------------------------------------------------------------





//echo "ssd".$txtNombre;


$o_ArArqueoCabeceraFN->page = 1;
$o_ArArqueoCabeceraFN->tamPag = "30";
$o_ArArqueoCabeceraFN->sortCampos = $sortCampos;
$o_ArArqueoCabeceraFN->sortType   = $sortType;
 
 
if($txtFechaInicial)$o_ArArqueoCabeceraFN->setFechainicio($txtFechaInicial);
if($txtFechaFinal)$o_ArArqueoCabeceraFN->setFechafinal($txtFechaFinal);
if($cboSucursal)$o_ArArqueoCabeceraFN->setIdsucursal($cboSucursal);
if($cboMercado)$o_ArArqueoCabeceraFN->setIdmercado($cboMercado);
if($cboColaborador)$o_ArArqueoCabeceraFN->setIdcolaborador($cboColaborador);
if($cboClase)$o_ArArqueoCabeceraFN->setIdclase($cboClase);
$a_ObjectBean = $o_ArArqueoCabeceraFN->select();

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_ArArqueoCabeceraFN->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);



if(!$page) $page = 1;

ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <!--<th width="4%" >Nro</th>-->
                
                <th width="10%" align="left">Sucursal</th>
                <th width="11%" align="left">Mercado</th>
			    <th width="11%" align="left">Representante</th>
			    <th width="8%" >Tipo</th>
			    <th width="6%" >Fecha</th>
			    <th width="6%" >Total</th>
				<th width="4%" >Estado</th>
				
                <th width="5%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                <th width="10%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>
                <th width="6%">Opcion</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){?>
              <tr onClick="TR_click(this);" <? if($color) echo "bgcolor='".$color."'"?>>
              <tr onClick="TR_click(this);">
                
                <td align="left"><?=$o_objBean->getDescripcionsucursal()?></td>
                <td align="left"><?=$o_objBean->getDescripcionmercado()?></td>
                <td align="left"><?=$o_objBean->getDescripcioncolaborador()?></td>
                <td align="center"><?=$o_objBean->getIdclase()?></td>  
				<td align="center"><?=$o_objBean->getFecha()?></td>				
				<td align="right"><?php $totalMonto+=$o_objBean->getTotal(); echo number_format($o_objBean->getTotal(),2)?></td>				
				<td align="center"><?if($o_objBean->getEstado()=="P") echo "Pendiente";else  echo "Cerrado"?></td>				
                <td align="center"><?=ucwords(strtolower($o_objBean->getUsuarioregistro()))?></td>
                <td align="center"><?=$o_objBean->getFecharegistro(date("Y-m-d"))?></td>
                <td align="center" valign="top">
                	<?php 
                	$o_BalanceDia = new BalanceDiaBean();
					$o_BalanceDia->setIdSucursal($IdSucursal);
					$o_BalanceDia->setFechaBalance($o_objBean->getFecha());
					$o_BalanceDia->setFechaBalanceFinal($o_objBean->getFecha());
					$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
					$a_o_balance = $o_BalanceDiaDP->select();
    				?>	            	
					
					<img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('arqueo/show'.ucwords(strtolower($o_objBean->getIdclase())),'idClase='.$o_objBean->getIdclase().'&Idsucursal='.$o_objBean->getIdsucursal().'&Idmercado='.$o_objBean->getIdmercado().'&Idcolaborador='.$o_objBean->getIdcolaborador().'&fecha='.$o_objBean->getFecha());?>',{title:'',width:910,height:480})">
					<? if(!is_array($a_o_balance)){?>
						<?php if(($o_objBean->getIdclase()=="DEPOSITO"||$o_objBean->getIdclase()=="PRODUCTO")&& $o_objBean->getEstado()=="P"){?>
							<input type="image" name="Editar" title="Editar" src="/images/common/buttons/btnEdit.gif" onClick="location.href='<?php echo buildUrl('arqueo/addEfectivo', "") ?>'">&nbsp;
						<?php }?>
					<?php }?>

					
				    
                </td>
              </tr>
              <? } ?>
              <tr>
             
              	<td colspan="6" align="right"><b><?php echo number_format($totalMonto,2)?></b></td>
              </tr>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>